For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList knowledge items
      • POSTCreate knowledge item
      • GETGet knowledge item
      • DELDelete knowledge item
      • POSTRe-ingest knowledge item
      • GETList agent's knowledge items
      • POSTAttach knowledge item to agent
      • DELDetach knowledge item from agent
Status
LogoLogo
API ReferenceAgent Knowledge Base

Delete knowledge item

DELETE
https://app.resemble.ai/api/v2/knowledge_items/:uuid
DELETE
/api/v2/knowledge_items/:uuid
$curl -X DELETE https://app.resemble.ai/api/v2/knowledge_items/uuid \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "message": "string"
4}
Deletes a knowledge item and cleans up associated data
Was this page helpful?
Previous

Re-ingest knowledge item

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

uuidstringRequiredformat: "uuid"
The UUID of the knowledge item

Response

Knowledge item deleted successfully
successboolean
messagestring

Errors

404
Not Found Error